# Cleo

Cleo allows you to create beautiful and testable command-line commands.

It is heavily inspired by the Symfony Console Component, with some useful additions.

- Installation
- Usage
  - Coloring the Output
  - Verbosity Levels
  - Using Arguments
  - Using Options
  - Helpers
  - Testing Commands
  - Calling an existing Command
  - Overwrite the current line
  - Autocompletion
- Helpers
  - Question Helper
  - Progress Bar
  - Table
- Using Console Commands, Shortcuts and Built-in Commands
  - Built-in Commands
  - Global Options
  - Shortcut Syntax
- Building a Single Command Application